Homebrew Question Update Switch using Daybreak - What to check?

cherrysa23

Member
OP
Newcomer
Joined
May 13, 2010
Messages
22
Trophies
0
XP
90
Country
United States

cherrysa23

Member
OP
Newcomer
Joined
May 13, 2010
Messages
22
Trophies
0
XP
90
Country
United States
Thanks, however how do I know up to what Switch Version I can update with it? I would like to be able to check it by myself for next time.
 

wurstpistole

GBAtemp MVP
Member
Joined
Nov 19, 2015
Messages
4,528
Trophies
1
XP
4,568
Country
United Kingdom
Just check the release notes. Scroll down on Atmosphere release page to version 0.19.5 - there it says Support was added for 12.1.0. If there's a new firmware out, and a new Atmosphere release stating that it works with said firmware, it will. Same for sigpatches - title of the page states which Switch firmware and Atmos release they are compatible with. Just make sure the numbers check out. It's not necessary to update to the latest fw on day one, it takes weeks if not months for games to require a recent firmware.
 

Danethos86

Well-Known Member
Newcomer
Joined
Jan 5, 2019
Messages
75
Trophies
0
Age
35
XP
120
Country
United States
My connsole is 11.0.1 and 1.2.0|s
Should I update offical firmware to 12.1 or higher such or stay at 11.0.1?
 

kidkat210

Well-Known Member
Member
Joined
Nov 9, 2016
Messages
566
Trophies
0
Age
27
XP
1,168
Country
United States
My connsole is 11.0.1 and 1.2.0|s
Should I update offical firmware to 12.1 or higher such or stay at 11.0.1?
Thats entirely up to you. Eventually newer games will require newer firmware. Yes games can be patch for lower firmwares, but they only can be patched so far back. Example, a game that requires 12.0 can POSSIBLY (depends on how the game is built) to run on (let's just say for the example) 11.0.1. BUT you can't take the same game that requires 12.0 and patch it to run on (let's just say for the example) 8.0. The game will just straight up crash.

So all in all, it up to you but to make things easier, just update to the latest.

Warning, if you do decide to update to 12.0 or higher, any homebrew forwarders you have will have to be recreated with a different tool and some homebrew apps like checkpoint havent been updated for 12.0 or higher.
 

Danethos86

Well-Known Member
Newcomer
Joined
Jan 5, 2019
Messages
75
Trophies
0
Age
35
XP
120
Country
United States
Is firmware 12 Orr 13 fully stable. I run alot homebrew forwarders atm and don't wanna lose forwarders or other apps have. Bad enough can't run my browser forwarder or few older homebrew now that my consoles at 11. If firmware 12 or 13 stable and forwarders can work if remake them it be worth it maybe. Just don't wanna upgrade if isn't good to update.
 

kidkat210

Well-Known Member
Member
Joined
Nov 9, 2016
Messages
566
Trophies
0
Age
27
XP
1,168
Country
United States
I'm on ofw 13 ams 1.1.1/1.1.0 and haven't had much issues myself. Had to recreate my own forwarders. I used sak (switch army knife) to recreate them
 

Danethos86

Well-Known Member
Newcomer
Joined
Jan 5, 2019
Messages
75
Trophies
0
Age
35
XP
120
Country
United States
So did anything change from 11-13?
Or is there something should do prior to updating. I haven't updated console in over a year so dunno if stuff need to first.
I am however running newest atmosphere so that's all set atleast.
 

kidkat210

Well-Known Member
Member
Joined
Nov 9, 2016
Messages
566
Trophies
0
Age
27
XP
1,168
Country
United States
If you're already on the newest release of ams (1.2.0 i think is the latest) update your sig patches, then download the firmware you wanna update to. Copy that to sd. The use daybreak to update your firmware. As a precaution, when it give you the option of fat32 or exfat, go with the exfat (even if you use fat32). Itll update both drivers for fat32 and exfat. No harmful effects or anything, just adds support for exfat sd cards (tho it is highly recommended to use fat32)
 

Danethos86

Well-Known Member
Newcomer
Joined
Jan 5, 2019
Messages
75
Trophies
0
Age
35
XP
120
Country
United States
Ok I see which app should I use to update sigpatched to be safe then sorry.

Also atm using fusee yet originally hacked console with hakate. Should I use hakate or atmosphere sigpatches.
boot through fusee by default
Only use hakate if I need do change to lakka or such.

Also use jits all one aio
 

kidkat210

Well-Known Member
Member
Joined
Nov 9, 2016
Messages
566
Trophies
0
Age
27
XP
1,168
Country
United States
If you have your console hooked up to the internet (not nintendo servers) you can just use aio switch updater to download your sig patches, update atmosphere, download firmware files.

Hekate sig patches and fusee sig patches are the same now so it dont matter really.

I use hekate to chainload into fusee.bin (used to be fusee-primary.bin) you can do this by either tapping payloads in hekate and selecting fusee.bin (as long as the fusee.bin is in the bootloader/payloads folder) or you can edit your hekate_ipl.ini to point towards fusee.bin, this way in hekate you can tap launch and select the one you just edited for fusee.bin
 

Danethos86

Well-Known Member
Newcomer
Joined
Jan 5, 2019
Messages
75
Trophies
0
Age
35
XP
120
Country
United States
Ok thanks btw I thinking of 12.1.0
Instead 13.1.0 sense on newest atmosphere can I test out 12.1.0 then just update to 14 later on when comes out.
12.1.0 and 13.1.0 any different by much?
 

Danethos86

Well-Known Member
Newcomer
Joined
Jan 5, 2019
Messages
75
Trophies
0
Age
35
XP
120
Country
United States
I went to updater and there 13.0 and 13.1.0 should I stick with 13.0 or 13.1.0 ?
If Bluetooth supported may test 13
 

kidkat210

Well-Known Member
Member
Joined
Nov 9, 2016
Messages
566
Trophies
0
Age
27
XP
1,168
Country
United States
13.1 just has minor bug fixes to my knowledge. So again, its up to. I pretty much just keep my emunand up to date after giving it roughly a month of the new firmware and new ams that supports said firmware being out.
 

Danethos86

Well-Known Member
Newcomer
Joined
Jan 5, 2019
Messages
75
Trophies
0
Age
35
XP
120
Country
United States
Sorry for asking so much but if upgrade to 13 is there pre-built homebrew forwarders I can find. Not best at making forwarders myself sense somehow always takes me 6 tries to making them get them working .
 
General chit-chat
Help Users
    KennieDaMeanie @ KennieDaMeanie: Gitgud cheaters